%define name		libdmx
%define version		1.1.4
%define release		%mkrel 1

%define libname 	%mklibname dmx 1
%define develname	%mklibname dmx -d
%define staticname	%mklibname dmx -d -s

Name: libdmx
Summary: DMX library (part of X.org)
Version: 1.1.5
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libdmx-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 7.5
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: libxext-devel >= 1.1.1
Obsoletes: 	%{name} < %version

%description
The DMX extension provides support for communication with and control of
Xdmx server. Attributes of the Xdmx server and of the back-end screens
attached to the server can be queried and modified via this protocol.

#-----------------------------------------------------------

%package -n %{libname}
Summary: The dmx Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libname}
The DMX extension provides support for communication with and control of
Xdmx server. Attributes of the Xdmx server and of the back-end screens
attached to the server can be queried and modified via this protocol.

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}
Requires: x11-proto-devel >= 7.5
Provides: %{name}-devel = %{version}-%{release}
Conflicts: libxorg-x11-devel < 7.0
Conflicts: x11-proto-devel < 7.5
Obsoletes: %{mklibname dmx 1 -d}

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libdmx.so
%{_libdir}/pkgconfig/dmx.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/DMX*.3*


#-----------------------------------------------------------

%package -n %{staticname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} >= %{version}
Provides: %{name}-static-devel = %{version}-%{release}
Conflicts: libxorg-x11-static-devel < 7.0
Obsoletes: %{mklibname dmx 1 -d -s}

%description -n %{staticname}
Static development files for %{name}

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libdmx.a

#-----------------------------------------------------------

%prep
%setup -q

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
%configure2_5x	--x-includes=%{_includedir} --x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libdmx.so.1
%{_libdir}/libdmx.so.1.0.0


%changelog
* Fri Jun 09 2023 tex - 1.1.5-1pclos2023
- new version

* Wed Dec 14 2022 tex - 1.1.4-2pclos2022
- rebuild against updates

* Tue May 29 2018 bb2 <bb2> - 1.1.4-1pclos2018
- new version

* Thu Apr 14 2016 bb <bb> 1.1.3-3pclos2016
- rebuild for udpates

* Thu Apr 03 2014 bb <bb> 1.1.3-2pclos2014
- update

* Tue Jun 04 2013 Texstar <texstar at gmail.com> 1.1.3-1pclos2013
- 1.1.3

